package com.miaxis.wx.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 微信提现银行卡对象 wx_extract_bank
 *
 * @author miaxis
 * @date 2022-03-07
 */
@Data
@TableName("wx_extract_bank")
@ApiModel(value = "WxExtractBank", description = "微信提现银行卡对象 wx_extract_bank")
public class WxExtractBank extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户唯一标识(微信) */
    @Excel(name = "用户唯一标识(微信)")
    @TableField("openid")
    @ApiModelProperty(value = "用户唯一标识(微信)")
    private String openid;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    @TableField("enc_true_name")
    @ApiModelProperty(value = "真实姓名")
    private String encTrueName;

    /** 银行编号 */
    @Excel(name = "银行编号")
    @TableField("bank_code")
    @ApiModelProperty(value = "银行编号")
    private Integer bankCode;

    /** 银行卡号 */
    @Excel(name = "银行卡号")
    @TableField("enc_bank_no")
    @ApiModelProperty(value = "银行卡号")
    private String encBankNo;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setOpenid(String openid){
        this.openid = openid;
    }

    public String getOpenid(){
        return openid;
    }
    public void setEncTrueName(String encTrueName){
        this.encTrueName = encTrueName;
    }

    public String getEncTrueName(){
        return encTrueName;
    }
    public void setBankCode(Integer bankCode){
        this.bankCode = bankCode;
    }

    public Integer getBankCode(){
        return bankCode;
    }
    public void setEncBankNo(String encBankNo){
        this.encBankNo = encBankNo;
    }

    public String getEncBankNo(){
        return encBankNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openid", getOpenid())
            .append("encTrueName", getEncTrueName())
            .append("bankCode", getBankCode())
            .append("encBankNo", getEncBankNo())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
